%define upstream_name SQL-QueryMaker
%define upstream_version 0.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Helper functions for SQL query generation
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::Requires)

BuildArch:	noarch

%description
This module concentrates on providing an expressive, concise way to
declare SQL expressions by exporting carefully-designed functions. It is
possible to use the module to generate SQL query conditions and pass
them as arguments to other more versatile query builders such as
SQL::Maker.

The functions exported by the module instantiate comparator objects that
build SQL expressions when their "as_sql" method are being invoked.
There are two ways to specify the names of the columns to the
comparator; to pass in the names as argument or to specify then as an
argument to the "as_sql" method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-5.mga6
+ Revision: 1033331
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.30.0-4.mga6
+ Revision: 940869
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 744798
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 686143
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 sander85 <sander85> 0.30.0-1.mga5
+ Revision: 659086
- update to 0.03

* Mon Jun 16 2014 sander85 <sander85> 0.20.0-1.mga5
+ Revision: 637640
- update to 0.02

* Wed Jun 04 2014 sander85 <sander85> 0.10.0-1.mga5
+ Revision: 633017
- imported package perl-SQL-QueryMaker

